Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class BelongingImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl

All Implemented Interfaces
  Belonging, BusinessSmartComponent, RelationalReference, Serializable, Cloneable, Comparable

Direct Known Subclasses:
  ImageInfoImpl, InventoryInfoImpl, JspInfoImpl, MoneyImpl, OrderLineImpl, QualityImpl, QuantityImpl, ResultImpl, ShoppingCartImpl, ShoppingCartLineImpl, StateImpl, TaxInformationImpl, TaxLineImpl, TaxLineListImpl, TaxLineResultImpl, TaxParametersImpl, TaxResultImpl, TransactionEntryImpl, TransitionImpl, UnitImpl, UnitPriceImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public abstract class BelongingImpl

extends Object
implements Belonging, RelationalReference

The BelongingImpl provides the abstract base class from which all Belonging implementations must be derived. It implements the Belonging interface and serves as its symmetric counterpart.

See Also
  `Belonging`, `SmartHome`, Serialized Form

Field Summary
`String` | `__classIdentifier` Deprecated See BEA Commerce product offering
`Belonging` | `__containingBelonging` Deprecated See BEA Commerce product offering
`SmartEntityReference` | `__containingEntity` Deprecated See BEA Commerce product offering
`Object` | `__mapKey` Deprecated See BEA Commerce product offering
`Long` | `__sequenceNumber` Deprecated See BEA Commerce product offering
`boolean` | `_isDirty` Deprecated See BEA Commerce product offering

Constructor Summary
`BelongingImpl()` Deprecated See BEA Commerce product offering

Method Summary
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection)` Deprecated See BEA Commerce product offering
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection, Object o)` Deprecated See BEA Commerce product offering
`void` | `clearRelationalBinding(String attributeIdentifier, Map map)` Deprecated See BEA Commerce product offering
`void` | `clearRelationalBinding(String attributeIdentifier, Map map, Object key)` Deprecated See BEA Commerce product offering
`Object` | `clone()` Deprecated See BEA Commerce product offering
`abstract int` | `compareTo(Object o)` Deprecated See BEA Commerce product offering
`protected Collection` | `doRelationalBinding(String attributeIdentifier, Collection collection)` Deprecated See BEA Commerce product offering
`protected Map` | `doRelationalBinding(String attributeIdentifier, Map map)` Deprecated See BEA Commerce product offering
`protected Belonging` | `doRelationalBindingOnElement(String attributeIdentifier, Belonging value)` Deprecated See BEA Commerce product offering
`protected javax.ejb.EJBObject` | `doRelationalBindingOnElement(String attributeIdentifier, javax.ejb.EJBObject value)` Deprecated See BEA Commerce product offering
`protected Object` | `doRelationalBindingOnElement(String attributeIdentifier, Object value)` Deprecated See BEA Commerce product offering
`protected Belonging` | `doRelationalBindingOnSingleton(String attributeIdentifier, Belonging value)` Deprecated See BEA Commerce product offering
`protected javax.ejb.EJBObject` | `doRelationalBindingOnSingleton(String attributeIdentifier, javax.ejb.EJBObject ejbObject)` Deprecated See BEA Commerce product offering
`protected Object` | `doRelationalBindingOnSingleton(String attributeIdentifier, Object value)` Deprecated See BEA Commerce product offering
`protected Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Belonging belonging, Object key)` Deprecated See BEA Commerce product offering
`protected javax.ejb.EJBObject` | `doRelationalBindingWithMapKey(String attributeIdentifier, javax.ejb.EJBObject ejbObject, Object key)` Deprecated See BEA Commerce product offering
`protected Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Object object, Object key)` Deprecated See BEA Commerce product offering
`protected Collection` | `enumerateRelationalBinding(String attributeIdentifier, Collection collection)` Deprecated See BEA Commerce product offering
`protected Map` | `enumerateRelationalBinding(String attributeIdentifier, Map map)` Deprecated See BEA Commerce product offering
`boolean` | `equals(Object o)` Deprecated See BEA Commerce product offering
`String` | `get__classIdentifier()` Deprecated See BEA Commerce product offering
`Belonging` | `get__containingBelonging()` Deprecated See BEA Commerce product offering
`javax.ejb.EJBObject` | `get__containingEntity()` Deprecated See BEA Commerce product offering
`SmartEntityReference` | `get__containingEntityReference()` Deprecated See BEA Commerce product offering
`Object` | `get__mapKey()` Deprecated See BEA Commerce product offering
`Long` | `get__sequenceNumber()` Deprecated See BEA Commerce product offering
`PersistenceHelperPlugin` | `getPersistenceHelperPlugin()` Deprecated See BEA Commerce product offering
`int` | `hashCode()` Deprecated See BEA Commerce product offering
`protected void` | `set__classIdentifier(String classIdentifier)` Deprecated See BEA Commerce product offering
`void` | `set__containingBelonging(Belonging belonging)` Deprecated See BEA Commerce product offering
`void` | `set__containingEntity(javax.ejb.EJBObject containingEntity)` Deprecated See BEA Commerce product offering
`void` | `set__containingEntityReference(SmartEntityReference smartEntityReference)` Deprecated See BEA Commerce product offering
`void` | `set__mapKey(Object mapKey)` Deprecated See BEA Commerce product offering
`void` | `setByValue(Belonging belonging)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`interfaceName, value`

Field Detail

### _isDirty

    public transient boolean _isDirty

  Deprecated See BEA Commerce product offering

### __containingEntity

    public SmartEntityReference __containingEntity

  Deprecated See BEA Commerce product offering

### __mapKey

    public Object __mapKey

  Deprecated See BEA Commerce product offering

### __sequenceNumber

    public Long __sequenceNumber

  Deprecated See BEA Commerce product offering

### __classIdentifier

    public String __classIdentifier

  Deprecated See BEA Commerce product offering

### __containingBelonging

    public Belonging __containingBelonging

  Deprecated See BEA Commerce product offering

Constructor Detail

### BelongingImpl

    public BelongingImpl()

  Deprecated See BEA Commerce product offering

  Default constructor.

Method Detail

### clone

    public final Object clone()

  Deprecated See BEA Commerce product offering

  Returns a shallow copy of the Belonging instance.

  Specified by:
    `clone` in interface `Belonging`
  Overrides:
    `clone` in class `Object`
  Returns
    A shallow copy of this Belonging.

### compareTo

    public abstract int compareTo(Object o)

  Deprecated See BEA Commerce product offering

  Compares a given object with this Belonging.

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters
    `o` - the Object to be compared.
  Returns
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.
  Throws
    `ClassCastException` - if the specified object is not of the same type as this Belonging.

### equals

    public final boolean equals(Object o)

  Deprecated See BEA Commerce product offering

  Indicates whether some other Belonging is equivalent to this Belonging.

  Specified by:
    `equals` in interface `Belonging`
  Overrides:
    `equals` in class `Object`
  Parameters
    `o` - the Object to be compared.
  Returns
    `true` if the supplied Object is equivalent, `false` otherwise.
  Throws
    `ClassCastException` - if the specified object is not of the same type as this Belonging.

### hashCode

    public int hashCode()

  Deprecated See BEA Commerce product offering

  Returns a hash code for this Belonging.

  Overrides:
    `hashCode` in class `Object`
  Returns
    The hash code for this Belonging.

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Returns a `String` representation of the Belonging.

  Overrides:
    `toString` in class `Object`
  Returns
    A `String` representation of the Belonging.

### setByValue

    public void setByValue(Belonging belonging)

  Deprecated See BEA Commerce product offering

  Intializes the `Belonging` based upon a supplied `Belonging`.

  Specified by:
    `setByValue` in interface `Belonging`
  Parameters
    `belonging` - The `Belonging` to use for initialization.

### get__sequenceNumber

    public Long get__sequenceNumber()

  Deprecated See BEA Commerce product offering

  Get the sequencer number

  Specified by:
    `get__sequenceNumber` in interface `RelationalReference`

### set__containingBelonging

    public void set__containingBelonging(Belonging belonging)

  Deprecated See BEA Commerce product offering

  Provides foreign key information about the bean that contains this object

  Specified by:
    `set__containingBelonging` in interface `RelationalReference`
  Parameters
    `ejbObject` - remote interface of the containing bean

### get__containingBelonging

    public Belonging get__containingBelonging()

  Deprecated See BEA Commerce product offering

  Get foreign key information about the bean that contains this object

  Specified by:
    `get__containingBelonging` in interface `RelationalReference`
  Returns
    ejbObject remote interface of the containing bean
  Throws
    `ClassCastException` - source object is not an instance of the remote interface of the containing class.

### get__mapKey

    public Object get__mapKey()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `RelationalReference`
  get map key

  Specified by:
    `get__mapKey` in interface `RelationalReference`
  Returns
    the mak key

### set__mapKey

    public void set__mapKey(Object mapKey)

  Deprecated See BEA Commerce product offering

  Description copied from interface: `RelationalReference`
  Provides map key information

  Specified by:
    `set__mapKey` in interface `RelationalReference`
  Parameters
    `mapKey` - the key if this object is used in a map

### get__containingEntityReference

    public SmartEntityReference get__containingEntityReference()

  Deprecated See BEA Commerce product offering

### set__containingEntityReference

    public void set__containingEntityReference(SmartEntityReference smartEntityReference)

  Deprecated See BEA Commerce product offering

### set__containingEntity

    public void set__containingEntity(javax.ejb.EJBObject containingEntity)

  Deprecated See BEA Commerce product offering

  Provides foreign key information about the bean that contains this object

  Specified by:
    `set__containingEntity` in interface `RelationalReference`
  Parameters
    `ejbObject` - remote interface of the containing bean
  Throws
    `ClassCastException` - source object is not an instance of %EntityType%

### get__containingEntity

    public javax.ejb.EJBObject get__containingEntity()

  Deprecated See BEA Commerce product offering

  Get foreign key information about the bean that contains this object

  Specified by:
    `get__containingEntity` in interface `RelationalReference`
  Returns
    ejbObject remote interface of the containing bean

### set__classIdentifier

    protected void set__classIdentifier(String classIdentifier)

  Deprecated See BEA Commerce product offering

  Derived classes use this to set the class identifier

### get__classIdentifier

    public String get__classIdentifier()

  Deprecated See BEA Commerce product offering

  Get class identifier for this object (used to persist subclasses in a single collection or map)

  Specified by:
    `get__classIdentifier` in interface `RelationalReference`
  Returns
    class identifier for this object.

### doRelationalBindingOnElement

    protected final Object doRelationalBindingOnElement(String attributeIdentifier,
                                                        Object value)

  Deprecated See BEA Commerce product offering

  Add relational information to a dependent object. This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a dependent object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value with relational information added.

### doRelationalBindingOnElement

    protected final Belonging doRelationalBindingOnElement(String attributeIdentifier,
                                                           Belonging value)

  Deprecated See BEA Commerce product offering

  Add relational information to a belonging This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `belonging` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational inforamtion added.

### doRelationalBindingOnElement

    protected final javax.ejb.EJBObject doRelationalBindingOnElement(String attributeIdentifier,
                                                                     javax.ejb.EJBObject value)

  Deprecated See BEA Commerce product offering

  Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of an EJB object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational information added.

### doRelationalBindingOnSingleton

    protected final Object doRelationalBindingOnSingleton(String attributeIdentifier,
                                                          Object value)

  Deprecated See BEA Commerce product offering

  Add relational information to a dependent object. This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a dependent object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value with relational information added.

### doRelationalBindingOnSingleton

    protected final Belonging doRelationalBindingOnSingleton(String attributeIdentifier,
                                                             Belonging value)

  Deprecated See BEA Commerce product offering

  Add relational information to a belonging This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `belonging` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational inforamtion added.

### doRelationalBindingOnSingleton

    protected final javax.ejb.EJBObject doRelationalBindingOnSingleton(String attributeIdentifier,
                                                                       javax.ejb.EJBObject ejbObject)

  Deprecated See BEA Commerce product offering

  Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of an EJB object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational information added.

### doRelationalBindingWithMapKey

    protected final Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                                         Object object,
                                                         Object key)

  Deprecated See BEA Commerce product offering

  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBindingWithMapKey

    protected final javax.ejb.EJBObject doRelationalBindingWithMapKey(String attributeIdentifier,
                                                                      javax.ejb.EJBObject ejbObject,
                                                                      Object key)

  Deprecated See BEA Commerce product offering

  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBindingWithMapKey

    protected final Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                                         Belonging belonging,
                                                         Object key)

  Deprecated See BEA Commerce product offering

  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBinding

    protected final Collection doRelationalBinding(String attributeIdentifier,
                                                   Collection collection)

  Deprecated See BEA Commerce product offering

  Add relational information to each element in a collection, AND synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBinding

    protected final Map doRelationalBinding(String attributeIdentifier,
                                            Map map)

  Deprecated See BEA Commerce product offering

  Add relational information to each element in a map, AND synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `map` - the target map
  Returns
    the input map

### enumerateRelationalBinding

    protected final Collection enumerateRelationalBinding(String attributeIdentifier,
                                                          Collection collection)

  Deprecated See BEA Commerce product offering

  Add relational information to each element in a collection, but do not synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### enumerateRelationalBinding

    protected final Map enumerateRelationalBinding(String attributeIdentifier,
                                                   Map map)

  Deprecated See BEA Commerce product offering

  Add relational information to each element in a map, but do not synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `map` - the target map
  Returns
    the input map

### clearRelationalBinding

    public final void clearRelationalBinding(String attributeIdentifier,
                                             Collection collection)

  Deprecated See BEA Commerce product offering

### clearRelationalBinding

    public final void clearRelationalBinding(String attributeIdentifier,
                                             Collection collection,
                                             Object o)

  Deprecated See BEA Commerce product offering

### clearRelationalBinding

    public final void clearRelationalBinding(String attributeIdentifier,
                                             Map map,
                                             Object key)

  Deprecated See BEA Commerce product offering

### clearRelationalBinding

    public final void clearRelationalBinding(String attributeIdentifier,
                                             Map map)

  Deprecated See BEA Commerce product offering

### getPersistenceHelperPlugin

    public final PersistenceHelperPlugin getPersistenceHelperPlugin()

  Deprecated See BEA Commerce product offering

  Instantiates PersistenceHelperPlugin for this Belonging using properties specified in the Server property file. A plugin can be specified on a per Belonging class basis or as a default. This method uses the PersistenceHelperPlugin factory.

  Returns
    PersistenceHelperPlugin specific class that implements PersistenceHelperPlugin or `null`, if no PersistenceHelperPlugin is specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved